View a markdown version of this page

DescribeWorkspace - AWS IoT SiteWise

DescribeWorkspace

Retrieves information about a workspace.

Request Syntax

GET /workspaces/workspaceName HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

workspaceName

The name of the workspace.

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

Required: Yes

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "createdAt": number, "encryptionConfiguration": { "encryptionType": "string", "kmsKeyArn": "string" }, "updatedAt": number, "workspaceArn": "string", "workspaceDescription": "string", "workspaceName": "string", "workspaceStatus": { "error": { "code": "string", "message": "string" }, "state": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

createdAt

The date the workspace was created, in Unix epoch time.

Type: Timestamp

encryptionConfiguration

The encryption configuration information for the workspace.

Type: WorkspaceEncryptionConfigurationInfo object

updatedAt

The date the workspace was last updated, in Unix epoch time.

Type: Timestamp

workspaceArn

The ARN of the workspace.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1600.

Pattern: ^arn:aws(-cn|-us-gov)?:[a-zA-Z0-9-:\/_\.]+$

workspaceDescription

The description of the workspace.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: [^\u0000-\u001F\u007F]+

workspaceName

The name of the workspace.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 64.

Pattern: ^[a-zA-Z0-9_-]+$

workspaceStatus

The status of the workspace, which contains the state and any error message.

Type: WorkspaceStatus object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access is denied.

HTTP Status Code: 403

InternalFailureException

AWS IoT SiteWise can't process your request right now. Try again later.

HTTP Status Code: 500

InvalidRequestException

The request isn't valid. This can occur if your request contains malformed JSON or unsupported characters. Check your request and try again.

HTTP Status Code: 400

ResourceNotFoundException

The requested resource can't be found.

HTTP Status Code: 404

ThrottlingException

Your request exceeded a rate limit. For example, you might have exceeded the number of AWS IoT SiteWise assets that can be created per second, the allowed number of messages per second, and so on.

For more information, see Quotas in the AWS IoT SiteWise User Guide.

HTTP Status Code: 429

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: